<?php

class DetailPartie
{
    private string $idDetailPartie;
    private string $joueur;
    private string $partie;
    private string $enigme;
    private int $pointsObtenus;
    private int $classement;

    /**
     * @param string $idDetailPartie
     * @param string $joueur
     * @param string $partie
     * @param string $enigme
     * @param int $pointsObtenus
     * @param int $classement
     */
    public function __construct(string $idDetailPartie, string $joueur, string $partie, string $enigme, int $pointsObtenus, int $classement)
    {
        $this->idDetailPartie = $idDetailPartie;
        $this->joueur = $joueur;
        $this->partie = $partie;
        $this->enigme = $enigme;
        $this->pointsObtenus = $pointsObtenus;
        $this->classement = $classement;
    }

    /**
     * @return string
     */
    public function getIdDetailPartie(): string
    {
        return $this->idDetailPartie;
    }

    /**
     * @param string $idDetailPartie
     */
    public function setIdDetailPartie(string $idDetailPartie): void
    {
        $this->idDetailPartie = $idDetailPartie;
    }

    /**
     * @return string
     */
    public function getJoueur(): string
    {
        return $this->joueur;
    }

    /**
     * @param string $joueur
     */
    public function setJoueur(string $joueur): void
    {
        $this->joueur = $joueur;
    }

    /**
     * @return string
     */
    public function getPartie(): string
    {
        return $this->partie;
    }

    /**
     * @param string $partie
     */
    public function setPartie(string $partie): void
    {
        $this->partie = $partie;
    }

    /**
     * @return string
     */
    public function getEnigme(): string
    {
        return $this->enigme;
    }

    /**
     * @param string $enigme
     */
    public function setEnigme(string $enigme): void
    {
        $this->enigme = $enigme;
    }

    /**
     * @return int
     */
    public function getPointsObtenus(): int
    {
        return $this->pointsObtenus;
    }

    /**
     * @param int $pointsObtenus
     */
    public function setPointsObtenus(int $pointsObtenus): void
    {
        $this->pointsObtenus = $pointsObtenus;
    }

    /**
     * @return int
     */
    public function getClassement(): int
    {
        return $this->classement;
    }

    /**
     * @param int $classement
     */
    public function setClassement(int $classement): void
    {
        $this->classement = $classement;
    }
}